javax.print.event

## Interface PrintServiceAttributeListener

-     public interface PrintServiceAttributeListener

  Implementations of this listener interface are attached to a `PrintService` to monitor the status of the print service.

  To monitor a particular job see `PrintJobListener` and `PrintJobAttributeListener`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `attributeUpdate(PrintServiceAttributeEvent psae)` Called to notify a listener of an event in the print service.

- - ### Method Detail

    - #### attributeUpdate

          void attributeUpdate(PrintServiceAttributeEvent psae)

      Called to notify a listener of an event in the print service. The service will call this method on an event notification thread. The client should not perform lengthy processing in this callback or subsequent event notifications may be blocked.
      Parameters:
        `psae` - the event being notified

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.